Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.commands
Class AddImplementatedCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.AbstractOverrideableCommand
              org.metaabm.commands.AddImplementatedCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command, org.eclipse.emf.edit.command.OverrideableCommand

    public class AddImplementatedCommand

extends org.eclipse.emf.edit.command.AbstractOverrideableCommand

Add implementation for affected implemented.

Author:
  milesparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Constructor Summary
`AddImplementatedCommand(org.eclipse.emf.edit.domain.EditingDomain domain, java.util.Collection<?> added)`

Method Summary
`boolean` | `doCanExecute()`
`boolean` | `doCanUndo()`
`void` | `doExecute()`
`java.util.Collection<?>` | `doGetAffectedObjects()`
`void` | `doRedo()`
`void` | `doUndo()`

Methods inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`canExecute, canUndo, dispose, doDispose, doGetChildrenToCopy, doGetDescription, doGetLabel, doGetResult, execute, getAffectedObjects, getChildrenToCopy, getDescription, getDomain, getLabel, getOverride, getOwnerList, getResult, redo, setOverride, toString, undo`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.command.Command
`chain`

Constructor Detail

### AddImplementatedCommand

    public AddImplementatedCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                   java.util.Collection<?> added)

Method Detail

### doGetAffectedObjects

    public java.util.Collection<?> doGetAffectedObjects()

  Specified by:
    `doGetAffectedObjects` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doGetAffectedObjects` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doCanExecute

    public boolean doCanExecute()

  Specified by:
    `doCanExecute` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doCanExecute` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doCanUndo

    public boolean doCanUndo()

  Specified by:
    `doCanUndo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doCanUndo` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doExecute

    public void doExecute()

  Specified by:
    `doExecute` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Specified by:
    `doExecute` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doRedo

    public void doRedo()

  Specified by:
    `doRedo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Specified by:
    `doRedo` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doUndo

    public void doUndo()

  Specified by:
    `doUndo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Specified by:
    `doUndo` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD